### Method

# ECal ComponentAlarms add_instance

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarms_add_instance (
      ECalComponentAlarms* alarms,
      const ECalComponentAlarmInstance* instance
    )

#### Description [src]

Add a copy of `instance` into the list of instances. It is added in no particular order.

Available since: 3.34

#### Parameters

`instance`

  Type: `ECalComponentAlarmInstance`

  An `ECalComponentAlarmInstance`.

  The data is owned by the caller of the method.